QGIS Application - Bug report #503
GUI messages completely illegible
2007-01-01 09:12 AM - carluti -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10562
Description

All messages in menu bars, windows, etc. seem to have lots of letter mixed.

History

#1 - 2007-01-01 10:03 AM - carluti-users-sourceforge-net -

Partially reproduced in another pc using also debian etch. Menu bar entries look fine, but layer names in leyend and texts in some windows have the same

problem.

Both pc are used in Spanish and qgis is also in Spanish.

#2 - 2007-01-01 11:42 AM - Gavin Macaulay -

What version of Qt is qgis compiled and running against (this information is available via the Help:About menu, About tab)?

Have you compiled qgis or used a package (if so, which one)?

Does the problem happen with the english translation?

#3 - 2007-01-02 02:45 AM - Redmine Admin

It does not happen here, neither with it_IT nor with es_ES locales. Please provide more details.

#4 - 2007-01-02 07:20 AM - anonymous -

Replying to [comment:3 g_j_m]:

What version of Qt is qgis compiled and running against (this information is available via the Help:About menu, About tab)?

Quite difficult to read, but it seems to be Qt 4.2.1

Have you compiled qgis or used a package (if so, which one)?

Using gfoss 0.8.0 package

Does the problem happen with the english translation?
export LANG=en_EN give same problem in the first computer. Tomorrow will try the other.

#5 - 2007-01-04 11:29 AM - carluti-users-sourceforge-net -

Replying to [comment:6 anonymous]:

Replying to [comment:3 g_j m]:

| What version of Qt is qgis compiled and running against (this information is available via the Help:About menu, About tab)?
Quite difficult to read, but it seems to be Qt 4.2.1

| Have you compiled qgis or used a package (if so, which one)?

Using gfoss 0.8.0-2 package

| Does the problem happen with the english translation?

export LANG=en_EN gives same problem in the first computer. Tomorrow will try the other.

Confirmed in both machines. A third one with similar installation works fine.
What other information would be relavant to guess where is the problem?

#6 - 2007-01-06 03:39 PM - carluti-users-sourceforge-net -

Behaviour is very extrange. After working for some time on a project or creating new projects for test, menu bar, leyend, status bar and most windows
displays correctly all text, but after closing qgis and reopening it, again texts appear illegible.

Any explanation?

#7 - 2007-01-12 02:57 AM - Redmine Admin

| can confirm the bug, and its curious behaviour. It does not appear to be dependent on the hardware (only one of 5 IBM thinkpad had that problem) or the

software (apparently same installation on 10 machines, only 2 showed it), or the desktop environment (not working: 1 on gnome, 1 on kde).

#8 - 2007-01-17 11:50 PM - Redmine Admin

(untested)
It has been reported that this depends on a QT bug. A workaround could be copying a .fonts.conf file on each home (see below), but surely there is a
better solution. | report this here just to help solving the problem.

file: .fonts.conf

<IDOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<match target="font" >
<edit mode="assign" name="rgba" >
<const>none</const>

</edit>
</match>

<match target="font" >

<edit mode="assign" name="hinting" >
<bool>true</bool>

</edit>

</match>

<match target="font" >

<edit mode="assign" name="hintstyle" >
<const>hintfull</const>

</edit>

</match>

<match target="font" >

<edit mode="assign" name="antialias" >
<bool>true</bool>

</edit>

</match>

</fontconfig>

#9 - 2007-01-22 07:14 AM - carluti-users-sourceforge-net -

Replying to [comment:10 cavallini@faunalia.it]:

| have used your solution in both machines | had this problem and now Qgis works well in both of them.

Thank you

#10 - 2007-02-22 07:04 AM - anonymous -

Hi all,

I've got the same problem, the "editing of fonts.conf" solution proposed worked pretty well!!!

Thanks a lot!

Enrico Guastaldi

Geomatics Lab, Geological Risks and Geostatistics section
Centro di [[GeoTecnologie]], University of Siena,

Via Vetri Vecchi, 34

52027 - San Giovanni Valdarno (AR)

ITALY

Tel. +39 055 9119483
Fax. +39 055 9119439

guastaldi@unisi.it
www.geotecnologie.unisi.it

Replying to [comment:11 carluti@users.sourceforge.net]:

Replying to [comment:10 cavallini@faunalia.it]:

I have used your solution in both machines | had this problem and now Qgis works well in both of them.

Thank you

2025-04-27

3/4


mailto:cavallini@faunalia.it
mailto:guastaldi@unisi.it
http://www.geotecnologie.unisi.it
mailto:carluti@users.sourceforge.net
mailto:cavallini@faunalia.it

#11 - 2007-02-23 06:04 PM - Tim Sutton
- Status changed from Open to Closed
- Resolution set to fixed

Reading the messages above you seem to have the issue resolved. | am closing this bug - please reopen if the problem persists.

#12 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

Pantallazo.png 93.2 KB 2007-01-01 carluti-users-sourceforge-net -
